import logging

class Error(Exception):
    """Base class for exceptions in this module."""
    pass

class ApiError(Error):
    def __init__(self, request_url, response_code):
        self.request = request_url
        self.response_code = response_code

class ApiInvalidResponseError(Error):
    pass

class ConnectionTimeoutError(Error):
    pass

def exception_handler(func):
    def inner_function(*args, **kwargs):
        try:
            func(*args, **kwargs)
        except Error:
            logger = logging.getLogger('')
            logger.exception("Internal error occur")
    return inner_function

